﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Windows;

namespace WpfInterface
{
    public partial class ExtrasMenu : Menu
    {
        public ExtrasMenu()
        {
            InitializeComponent();

            // test data
            SlotBox.Items.Add("The Making of the 7th Guest");
            SlotBox.Items.Add("Deleted Scenes");
            SlotBox.Items.Add("Deleted Audio Parts");
            SlotBox.Items.Add("Music");
            SlotBox.Items.Add("The 7th Guest: A Novel");
            SlotBox.Items.Add("The Making of the 7th Guest");
            SlotBox.Items.Add("Deleted Scenes");
            SlotBox.Items.Add("Deleted Audio Parts");
            SlotBox.Items.Add("Music");
            SlotBox.Items.Add("The 7th Guest: A Novel");
        }

        protected override void StringsChanged()
        {
            BackButton.Content = Strings[(int)LocString.back];
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SetResultFromSenderTag((FrameworkElement)sender);
        }

        private void RadioButton_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
