﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Timers;
using System.Windows;

namespace WpfInterface
{
    public partial class NotificationPopUp : Menu
    {
        private Timer _timer;

        public NotificationPopUp() : base(true)
        {
            InitializeComponent();

            _timer = new Timer(2000)
            {
                AutoReset = false,
                Enabled = true
            };

            //_timer.Elapsed += OnTimer;
            _timer.Elapsed += (_, __) => { Result = MenuAction.Main; };
        }

        internal NotificationPopUp(string message) : this()
        {
            NotificationTextBox.Text = message;
        }

        //private void OnTimer(object sender, ElapsedEventArgs e)
        //{
        //    Dispatcher.BeginInvoke(new Action(() => { Visibility = Visibility.Hidden; }));
        //    Result = MenuAction.Main;
        //}
    }
}
